# Radar

Radar charts (also known as spider charts, polar charts, web charts, or star plots) are a way to visualize multivariate data. They are used **to plot one or more groups of values over multiple common variables**.

## The Method To Use <a href="#the-method-to-use" id="the-method-to-use"></a>

The method is `s.plt.radar()`

It must contain the following input variables:

```python
order: int 
names: str
data: Union[str, DataFrame, List[Dict]]
```

And accepts the following input variable as optional:

```python
values: Optional[List[str]]
max_field: Optional[str] 
fill_area: bool
title: Optional[str] 
rows_size: Optional[int]
cols_size: Optional[int] 
padding: Optional[List[int]]
option_modifications: Optional[Dict]
```

## Examples <a href="#examples" id="examples"></a>

### 1. Default Configuration <a href="#id-1.-default-configuration" id="id-1.-default-configuration"></a>

```python
data = [
    {'name': 'Matcha Latte', 'value1': 78, 'value2': 6, 'value3': 85},
    {'name': 'Milk Tea', 'value1': 17, 'value2': 20, 'value3': 63},
    {'name': 'Cheese Cocoa', 'value1': 57, 'value2': 10, 'value3': 95},
    {'name': 'Walnut Brownie', 'value1': 35, 'value2': 71, 'value3': 16},
]

s.plt.radar(
    data=data, names='name',
    order=0, rows_size=2, cols_size=12,
)
```

![The radar in the default configuration.](/files/ZnbIno6ILf001gKKTUgU)

### 2.  Customization And Context

```python
data = [
    {'name': 'Matcha Latte', 'value1': 78, 'value2': 6, 'value3': 85, 'value 4': 25},
    {'name': 'Milk Tea', 'value1': 17, 'value2': 10, 'value3': 63, 'value 4': 35},
    {'name': 'Cheese Cocoa', 'value1': 38, 'value2': 15, 'value3': 65, 'value 4': 45},
    {'name': 'Walnut Brownie', 'value1': 9, 'value2': 71, 'value3': 16, 'value 4': 40},
]

s.plt.radar(
    data=data, names='name',
    order=0, rows_size=3, cols_size=8, fill_area=True,
    padding="0,0,0,1", title='Index for preferred dessert',
)
```

![The radar chart is fully customized. It received a title, note the space before the component using padding='0,0,0,1', and size with rows\_size=3, cols\_size=8.](/files/9felSnESj8v91pzxLYyH)

{% hint style="info" %}

### Featured Content

[Changing the Menu Path](/dev/building-web-app/menu/changing-the-menu-path.md)\
The `menu_path` can be modified.<br>

[Using the Grid](/dev/building-web-app/grid/using-the-grid.md)

It is possible to use any number of rows.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shimoku.com/dev/elements/charts/radar.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
